import * as __WEBPACK_EXTERNAL_MODULE_antd_style__ from "antd-style";
function _tagged_template_literal(strings, raw) {
    if (!raw) raw = strings.slice(0);
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    const data = _tagged_template_literal([
        "\n      position: relative;\n      display: flex;\n      flex-direction: row;\n      flex-wrap: nowrap;\n      justify-content: space-between;\n      align-items: center;\n      overflow: hidden;\n      text-overflow: ellipsis;\n\n      &:hover {\n        .general-schema-designer {\n          display: flex;\n        }\n        .ant-space-item:hover {\n          border-radius: 5px;\n          background-color: var(--colorSettings);\n          color: #fff;\n        }\n      }\n      &.tb-action-link {\n        > .general-schema-designer {\n          top: -10px;\n          bottom: -10px;\n          left: -10px;\n          right: -10px;\n        }\n      }\n      .submenu-title {\n        display: flex;\n        flex-direction: row;\n\n        width: 100%;\n        vertical-align: middle;\n        overflow: hidden;\n        text-overflow: ellipsis;\n      }\n      .general-schema-designer {\n        flex: 1;\n        display: flex;\n        flex-direction: row;\n        justify-content: flex-start;\n        align-items: center;\n        pointer-events: none;\n        display: none;\n        .general-schema-designer-icons {\n          pointer-events: all;\n          .ant-space-item {\n            line-height: 16px;\n            width: 16px;\n            padding-left: 1px;\n          }\n        }\n      }\n    "
    ]);
    _templateObject = function() {
        return data;
    };
    return data;
}
function _templateObject1() {
    const data = _tagged_template_literal([
        "\n      position: relative;\n      display: flex;\n      justify-content: flex-start;\n      align-items: center;\n      width: 100%;\n\n      &:hover {\n        .general-schema-designer {\n          display: flex;\n        }\n        .ant-space-item:hover {\n          border-radius: 5px;\n          background-color: var(--colorSettings);\n          color: #fff;\n        }\n      }\n      &.tb-action-link {\n        > .general-schema-designer {\n          top: -10px;\n          bottom: -10px;\n          left: -10px;\n          right: -10px;\n        }\n      }\n\n      .menuitem-title-wrapper {\n        display: flex;\n        flex-direction: row;\n        width: 100%;\n        overflow: hidden;\n      }\n      .menuitem-title {\n        vertical-align: middle;\n        overflow: hidden;\n        text-overflow: ellipsis;\n      }\n\n      .general-schema-designer {\n        flex: 1;\n        display: flex;\n        flex-direction: row;\n        justify-content: flex-start;\n        align-items: center;\n        display: none;\n        pointer-events: none;\n        > .general-schema-designer-icons {\n          pointer-events: all;\n          .ant-space-item {\n            line-height: 16px;\n            width: 16px;\n            padding-left: 1px;\n          }\n        }\n      }\n    "
    ]);
    _templateObject1 = function() {
        return data;
    };
    return data;
}
function _templateObject2() {
    const data = _tagged_template_literal([
        "\n      height: 100%;\n      overflow-y: auto;\n      overflow-x: hidden;\n\n      .ant-menu-submenu.ant-menu-submenu-inline .ant-menu-submenu-title {\n        position: relative;\n        ::before {\n          content: '';\n          position: absolute;\n          left: 0;\n          top: 50%;\n          transform: translateY(-50%);\n          width: 3px;\n          height: 50%;\n          background-color: ",
        ";\n\n          /* 使用 clip-path 裁剪为梯形 */\n          clip-path: polygon(0 0, 100% 15%, 100% 85%, 0 100%);\n        }\n      }\n\n      .ant-menu-submenu.ant-menu-submenu-inline.ant-menu-submenu-open > .ant-menu-submenu-title {\n        ::before {\n          background-color: ",
        ";\n        }\n      }\n\n      .ant-menu-item,\n      .ant-menu-submenu-title {\n        padding-inline-end: 10px;\n      }\n\n      .ant-menu-submenu-title {\n        .ant-menu-title-content {\n          > div {\n            > .general-schema-designer {\n              right: 6px !important;\n            }\n            > span.anticon {\n              margin-right: 10px;\n            }\n          }\n        }\n      }\n    "
    ]);
    _templateObject2 = function() {
        return data;
    };
    return data;
}
function _templateObject3() {
    const data = _tagged_template_literal([
        "\n      :active {\n        background: inherit;\n      }\n    "
    ]);
    _templateObject3 = function() {
        return data;
    };
    return data;
}
function _templateObject4() {
    const data = _tagged_template_literal([
        "\n      display: flex;\n    "
    ]);
    _templateObject4 = function() {
        return data;
    };
    return data;
}
const useStyles = (0, __WEBPACK_EXTERNAL_MODULE_antd_style__.createStyles)((param)=>{
    let { css, token } = param;
    return {
        subMenuDesignerCss: css(_templateObject()),
        designerCss: css(_templateObject1()),
        sideMenuClass: css(_templateObject2(), token.colorBorder, token.colorPrimaryText),
        menuItemClass: css(_templateObject3()),
        headerMenuClass: css(_templateObject4())
    };
});
export { useStyles };
